Plugin Update Configuration
Update the configuration for a plugin. Each plugin defines its own set of configuration parameters in its manifest and this endpoint accepts any object validated against that schema. When a valid configuration is received, it is sent to the plugin via RPC and the plugin is expected to apply the new configuration to itself internally.
/plugins/{plugin_instance_id}/configurationUpdate the configuration for a plugin. Each plugin defines its own set of configuration parameters in its manifest and this endpoint accepts any object validated against that schema. When a valid configuration is received, it is sent to the plugin via RPC and the plugin is expected to apply the new configuration to itself internally.
In: cookie
Path Parameters
Plugin ID.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
The plugin's configuration as defined by the plugin itself. This is a free-form object that the plugin can define and use for its own purposes. The Storyden runtime does not interpret or modify this data in any way, but simply stores it and provides it to the plugin when requested.
This is not part of the plugin manifest and is not required to be provided when adding a plugin, but can be set and updated separately after the plugin is added. This allows for dynamic configuration of plugins without needing to modify their manifest or re-add them.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/plugins/cc5lnd2s1s4652adtu50/configuration" \ -H "Content-Type: application/json" \ -d '{}'{}{
"type": "string",
"title": "string",
"detail": "string",
"trace_id": "string",
"metadata": {}
}Plugin Set Active State PATCH
Change the active state of a plugin. This operation only applies to supervised plugins. - `active`: starts the supervised plugin process. - `inactive`: stops the supervised plugin process. External plugins cannot be managed with this endpoint and will return a bad request error.
Plugin Update Manifest PATCH
Update the manifest for a plugin. This is used for development of plugins where the manifest may change frequently and it's useful to be able to update it without re-uploading the entire plugin bundle. This only works for External plugins that were created by uploading a manifest directly. It does not work for Supervised plugins.